
/*	File			DNS_ResolverDlg.h
	Purpose			Demonstration of the use of the gethostbyname DS resolver
	Author			Richard Anthony	(ar26@gre.ac.uk)
	Date			August 2014
*/

#pragma once
#include "afxwin.h"
#define MAX_NUM_IP_ADDRESSES 20

// CDNS_ResolverDlg dialog
class CDNS_ResolverDlg : public CDialogEx
{
public:
	CDNS_ResolverDlg(CWnd* pParent = NULL);	// standard constructor

	enum { IDD = IDD_DNS_RESOLVER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

void GetLocalHostAddress_List();
void WriteStatusLine(CString csLine);

protected:
	HICON m_hIcon;

	CEdit* m_pHostName;
	CEdit* m_pAddressType;
	CListBox* m_pHostAddressList;
	CEdit* m_pLookupHostName;
	CEdit* m_pFoundIPAddress;

	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedResolveButton();
};
